// components/tab/tab.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    tabList: {
      type: Array,
      value: [],
    },
    type:{
      type: String,
      value: ''
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
  },

  /**
   * 组件的方法列表
   */
  methods: {
    click: function (e) {
      let data = e.currentTarget.dataset;
      let p = {
        type: data.type,
        title: data.title,
        worldURL: data.worldurl,
        worldImgURL: data.worldimgurl,
        index: data.index,
        isUpdata: data.isupdate
      }
      this.triggerEvent("changeBar", p);
    }
  }
})
